/*
 * This file is part of gshot.
 *
 * Gterm is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * Gshot is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Gshot; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Copyright (C) 2006 Mauro DePalma <mauro@softcraft.org>
 * Copyright (C) 2007, 2008 Victor Ananjevsky <ananasik@gmail.com>
 *
 */

#ifndef GSHOT_GRABBER_H
#define GSHOT_GRABBER_H

#include <string.h>
#include <gtk/gtk.h>
#include <gdk/gdkx.h>
#include <X11/cursorfont.h>

/* Methods implemented by grabber.c */
GdkPixbuf *capture (GtkWidget *, gint, gboolean);
GdkPixbuf *grab_pixbuf (Window, XRectangle *);
Window grab_window (Display *, Window, gboolean);
int grab_rectangle (Display *, Window, XRectangle *);

#endif /* GSHOT_GRABBER_H */
