/*
 * This file is part of gshot.
 *
 * Gshot is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * Gshot is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Gshot; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Copyright (C) 2007-2011 Victor Ananjevsky <ananasik@gmail.com>
 */

#ifndef GSHOT_CALLBACK_H
#define GSHOT_CALLBACK_H

void capture_image (gint);
void capture_screen (GtkWidget*, gpointer);
void capture_window (GtkWidget*, gpointer);
void capture_region (GtkWidget*, gpointer);
void capture_mode (GtkWidget*, gpointer);
void open_in_cb (GtkWidget*, gchar*);
void open_clicked (GtkWidget*, GdkEventButton*, gpointer);
void save_clicked (GtkWidget*, gpointer);
void print_clicked (GtkWidget*, gpointer);
void page_clicked (GtkWidget*, gpointer);
void set_folder (GtkFileChooser*, gpointer);
void set_delay (GtkRange*, gpointer);
void mode_changed (GtkWidget*, gpointer);
void frame_toggled (GtkWidget*, gpointer);
void hide_toggled (GtkWidget*, gpointer);
void save_toggled (GtkWidget*, gpointer);
void hide_win (GtkWidget*, gpointer);
void exit_app (GtkWidget*, gpointer);
void exit_app_full (GtkWidget*, gpointer);
void show_about (GtkWidget*, gpointer);

#endif /* GSHOT_CALLBACK_H */
